

 int mov(int by, float *lap)
 {
  int ms,md;
  *lap = 4.0 / 3.0;
  md = by / 0x10;
  md = 2 * md - 8;
  ms = by & 0xf;
  if(ms > 7) {
	ms -= 8;
	md++;
  }
  if(ms == 6)
	reg[ms] = mhlr();
  if(md == 6)
	mhlw(reg[ms]);
  reg[md] = reg[ms];
  if(md == 6 || ms == 6)
	*lap = 7.0 / 3.0;
  return(0);
 }

